VULKAN_HPP_NAMESPACE::ExternalImageFormatPropertiesNV Struct Reference

`#include <vulkan.hpp>`

Collaboration diagram for VULKAN_HPP_NAMESPACE::ExternalImageFormatPropertiesNV:
[legend]

## Public Member Functions

| operator VkExternalImageFormatPropertiesNV const & () const
| operator VkExternalImageFormatPropertiesNV & ()
bool | operator== (ExternalImageFormatPropertiesNV const &rhs) const
bool | operator!= (ExternalImageFormatPropertiesNV const &rhs) const

## Data Fields

ImageFormatProperties | imageFormatProperties
ExternalMemoryFeatureFlagsNV | externalMemoryFeatures
ExternalMemoryHandleTypeFlagsNV | exportFromImportedHandleTypes
ExternalMemoryHandleTypeFlagsNV | compatibleHandleTypes

## Detailed Description

Definition at line 30337 of file vulkan.hpp.

## Member Function Documentation

## operator VkExternalImageFormatPropertiesNV &()

VULKAN_HPP_NAMESPACE::ExternalImageFormatPropertiesNV::operator VkExternalImageFormatPropertiesNV & | ( |  | ) |

inline

Definition at line 30344 of file vulkan.hpp.

{
return *reinterpret_cast<VkExternalImageFormatPropertiesNV*>(this);
}

## operator VkExternalImageFormatPropertiesNV const &()

VULKAN_HPP_NAMESPACE::ExternalImageFormatPropertiesNV::operator VkExternalImageFormatPropertiesNV const & | ( |  | ) | const

inline

Definition at line 30339 of file vulkan.hpp.

{
return *reinterpret_cast<const VkExternalImageFormatPropertiesNV*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::ExternalImageFormatPropertiesNV::operator!= | ( | ExternalImageFormatPropertiesNV const & | rhs | ) | const

inline

Definition at line 30357 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator==()

bool VULKAN_HPP_NAMESPACE::ExternalImageFormatPropertiesNV::operator== | ( | ExternalImageFormatPropertiesNV const & | rhs | ) | const

inline

Definition at line 30349 of file vulkan.hpp.

{
return ( imageFormatProperties == rhs.imageFormatProperties )
&& ( externalMemoryFeatures == rhs.externalMemoryFeatures )
&& ( exportFromImportedHandleTypes == rhs.exportFromImportedHandleTypes )
&& ( compatibleHandleTypes == rhs.compatibleHandleTypes );
}

References compatibleHandleTypes, exportFromImportedHandleTypes, externalMemoryFeatures, and imageFormatProperties.

Referenced by operator!=().

## Field Documentation

## compatibleHandleTypes

ExternalMemoryHandleTypeFlagsNV VULKAN_HPP_NAMESPACE::ExternalImageFormatPropertiesNV::compatibleHandleTypes

Definition at line 30365 of file vulkan.hpp.

Referenced by operator==().

## exportFromImportedHandleTypes

ExternalMemoryHandleTypeFlagsNV VULKAN_HPP_NAMESPACE::ExternalImageFormatPropertiesNV::exportFromImportedHandleTypes

Definition at line 30364 of file vulkan.hpp.

Referenced by operator==().

## externalMemoryFeatures

ExternalMemoryFeatureFlagsNV VULKAN_HPP_NAMESPACE::ExternalImageFormatPropertiesNV::externalMemoryFeatures

Definition at line 30363 of file vulkan.hpp.

Referenced by operator==().

## imageFormatProperties

ImageFormatProperties VULKAN_HPP_NAMESPACE::ExternalImageFormatPropertiesNV::imageFormatProperties

Definition at line 30362 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VkExternalImageFormatPropertiesNV
Definition: vulkan_core.h:6620
VULKAN_HPP_NAMESPACE::ExternalImageFormatPropertiesNV::operator==
bool operator==(ExternalImageFormatPropertiesNV const &rhs) const
Definition: vulkan.hpp:30349
VULKAN_HPP_NAMESPACE::ExternalImageFormatPropertiesNV::exportFromImportedHandleTypes
ExternalMemoryHandleTypeFlagsNV exportFromImportedHandleTypes
Definition: vulkan.hpp:30364
VULKAN_HPP_NAMESPACE::ExternalImageFormatPropertiesNV::compatibleHandleTypes
ExternalMemoryHandleTypeFlagsNV compatibleHandleTypes
Definition: vulkan.hpp:30365
VULKAN_HPP_NAMESPACE::ExternalImageFormatPropertiesNV::externalMemoryFeatures
ExternalMemoryFeatureFlagsNV externalMemoryFeatures
Definition: vulkan.hpp:30363
VULKAN_HPP_NAMESPACE::ExternalImageFormatPropertiesNV::imageFormatProperties
ImageFormatProperties imageFormatProperties
Definition: vulkan.hpp:30362